Contact methods
List a contact's contact methods
A contact’s email addresses and phone numbers and the latest messages sent to them. Contacts have no devices. Needs contacts.view.
GET
/
api
/
company
/
v2026-10
/
contacts
/
{contact_id}
/
contact-methods
List a contact's contact methods
curl --request GET \
--url https://api.fluid.app/api/company/v2026-10/contacts/{contact_id}/contact-methods \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/company/v2026-10/contacts/{contact_id}/contact-methods"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/company/v2026-10/contacts/{contact_id}/contact-methods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/company/v2026-10/contacts/{contact_id}/contact-methods",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/company/v2026-10/contacts/{contact_id}/contact-methods"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/company/v2026-10/contacts/{contact_id}/contact-methods")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/company/v2026-10/contacts/{contact_id}/contact-methods")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"contact_methods": [
{
"id": "0199c2e1-6b7c-7d8e-9f0a-1b2c3d4e5f60",
"kind": "phone",
"value": "+13855550187",
"source": "contact",
"sms_capable": true,
"whatsapp_capable": false,
"verified": true,
"verified_at": "2026-10-23T14:06:47Z",
"verified_via": "delivery",
"preferred_rank": null,
"consent_transactional": true,
"consent_marketing": true,
"usable": true,
"invalidated_at": null,
"invalidated_reason": null,
"last_outcome": "delivered",
"last_outcome_at": "2026-10-23T14:06:47Z"
},
{
"id": "0199c2e2-0a1b-7c2d-9e3f-4a5b6c7d8e9f",
"kind": "email",
"value": "avery.chen@outlook.com",
"source": "contact",
"sms_capable": false,
"whatsapp_capable": false,
"verified": false,
"verified_at": null,
"verified_via": null,
"preferred_rank": null,
"consent_transactional": true,
"consent_marketing": false,
"usable": false,
"invalidated_at": "2026-10-02T09:41:17Z",
"invalidated_reason": "bounced",
"last_outcome": "bounced",
"last_outcome_at": "2026-10-02T09:41:17Z"
}
],
"devices": [],
"messages": [
{
"id": "019a1130-7e21-7a4b-9c3d-5e6f7a8b9c0d",
"channel": "sms",
"message_type": "marketing",
"status": "delivered",
"refusal_code": null,
"provider": "twilio",
"provider_message_id": "SM4f9e2a7c1b8d3e6f0a5c9b2d7e1f4a8c",
"recipient": {
"member_id": null,
"contact_id": 58213,
"contact_method_id": "0199c2e1-6b7c-7d8e-9f0a-1b2c3d4e5f60"
},
"conversation_id": null,
"created_at": "2026-10-23T14:06:40Z",
"updated_at": "2026-10-23T14:06:47Z",
"events": [
{
"status": "accepted",
"detail": null,
"occurred_at": "2026-10-23T14:06:40Z"
},
{
"status": "sent",
"detail": null,
"occurred_at": "2026-10-23T14:06:41Z"
},
{
"status": "delivered",
"detail": null,
"occurred_at": "2026-10-23T14:06:47Z"
}
],
"send_at": null
}
],
"status": 200,
"meta": {
"request_uuid": "3b8f1d27-6c4e-4a91-8e5d-2f7c9a1b0e64",
"timestamp": "2026-10-23T14:05:12Z"
}
}{}{}{
"error": {
"message": "<string>",
"details": {}
},
"status": 123,
"meta": {
"request_uuid": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}Authorizations
An admin session, company API token, droplet token or bot token.
Path Parameters
The contact's id.
Response
The contact methods.
⌘I
List a contact's contact methods
curl --request GET \
--url https://api.fluid.app/api/company/v2026-10/contacts/{contact_id}/contact-methods \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/company/v2026-10/contacts/{contact_id}/contact-methods"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/company/v2026-10/contacts/{contact_id}/contact-methods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/company/v2026-10/contacts/{contact_id}/contact-methods",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/company/v2026-10/contacts/{contact_id}/contact-methods"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/company/v2026-10/contacts/{contact_id}/contact-methods")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/company/v2026-10/contacts/{contact_id}/contact-methods")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"contact_methods": [
{
"id": "0199c2e1-6b7c-7d8e-9f0a-1b2c3d4e5f60",
"kind": "phone",
"value": "+13855550187",
"source": "contact",
"sms_capable": true,
"whatsapp_capable": false,
"verified": true,
"verified_at": "2026-10-23T14:06:47Z",
"verified_via": "delivery",
"preferred_rank": null,
"consent_transactional": true,
"consent_marketing": true,
"usable": true,
"invalidated_at": null,
"invalidated_reason": null,
"last_outcome": "delivered",
"last_outcome_at": "2026-10-23T14:06:47Z"
},
{
"id": "0199c2e2-0a1b-7c2d-9e3f-4a5b6c7d8e9f",
"kind": "email",
"value": "avery.chen@outlook.com",
"source": "contact",
"sms_capable": false,
"whatsapp_capable": false,
"verified": false,
"verified_at": null,
"verified_via": null,
"preferred_rank": null,
"consent_transactional": true,
"consent_marketing": false,
"usable": false,
"invalidated_at": "2026-10-02T09:41:17Z",
"invalidated_reason": "bounced",
"last_outcome": "bounced",
"last_outcome_at": "2026-10-02T09:41:17Z"
}
],
"devices": [],
"messages": [
{
"id": "019a1130-7e21-7a4b-9c3d-5e6f7a8b9c0d",
"channel": "sms",
"message_type": "marketing",
"status": "delivered",
"refusal_code": null,
"provider": "twilio",
"provider_message_id": "SM4f9e2a7c1b8d3e6f0a5c9b2d7e1f4a8c",
"recipient": {
"member_id": null,
"contact_id": 58213,
"contact_method_id": "0199c2e1-6b7c-7d8e-9f0a-1b2c3d4e5f60"
},
"conversation_id": null,
"created_at": "2026-10-23T14:06:40Z",
"updated_at": "2026-10-23T14:06:47Z",
"events": [
{
"status": "accepted",
"detail": null,
"occurred_at": "2026-10-23T14:06:40Z"
},
{
"status": "sent",
"detail": null,
"occurred_at": "2026-10-23T14:06:41Z"
},
{
"status": "delivered",
"detail": null,
"occurred_at": "2026-10-23T14:06:47Z"
}
],
"send_at": null
}
],
"status": 200,
"meta": {
"request_uuid": "3b8f1d27-6c4e-4a91-8e5d-2f7c9a1b0e64",
"timestamp": "2026-10-23T14:05:12Z"
}
}{}{}{
"error": {
"message": "<string>",
"details": {}
},
"status": 123,
"meta": {
"request_uuid": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}